@import "mixins.less";
@import 'flex.less';

html{
    transition: background 0.723s ease-in-out;
    background: url('/img/bg.jpg');
    background-size: cover;
    background-attachment: fixed;
    min-height: 100%;
}
body {
    padding: 1em;
    background-color: rgba(0,0,0,0.5) !important;
    color: white;
    min-height: 100%;
    left: 0;
    position: absolute;
    right: 0;
    text-align: center;
    // font-family: @secondary-font;
    // font-size: 24px;
    .navbar{
        opacity: 0.323;
        transition: all 0.314s ease-in-out;
        background: @main-color;
        border: 3px solid #000;
        z-index: 99;
        color: @black;
        text-align: left;
        &:hover{
            opacity: 0.818;
        }
        .user{
            margin-left: 10px; 
            .name{
                margin-right: 10px; 
                max-width: 200px;
                text-overflow: ellipsis;
                overflow: hidden;
                display: inline-block;
                white-space: nowrap;
                vertical-align: middle;
                margin-left: 4px;
            }
        }
        .dropdown-item{
            text-align: left;
        }
    }
    .footer{
        text-align: center;
        color:@main-color;
    }
    .navbar-brand{
        font-family: @brand-font;
        font-size: 3em;
        line-height: 0.5em;
        margin-top: 0px;
    }
}
.newBoardForm{
    max-width: 400px;
    margin: 1em auto;
    select,
    input[type="text"]{
        margin: 0.5em;
        color: @black;
    }
    select{
        width: 100%;
        font-size: 1.2em;
        padding: 4px;
    }
    .form-header{
        text-align: center;
    }
    .form-footer{
        text-align: center;
    }
    h4{
        font-family: @main-font;
    }
}
.home{
    text-align: center;
    .fb-login{
        margin-bottom: 1em;
    }
    a{
        color: @cyan;
        &:hover{
            color: @white;
            text-decoration: none;
            border-bottom: 1px dashed @cyan;
        }
    }
}
h1{
    margin-top: 1em;
    font-family: @main-font;
    font-size: 2.5em;
}
h2{
    margin-top: 1em;
    font-family: @main-font;
    font-size: 2em;
}
h3{
    font-size: 1.5em;
}
h4{
    font-size: 1.3em;
}
p{
    font-size: 0.8em;
    line-height: 2em;
}
.btn{
    margin-top: 1em;
    color: white !important;
    
}
.home .btn{
    margin: 34px 78px 14px 78px;
}
.ng-confirm{
    color: @black;
}

 .card{
    .board.columns.column.items.item();
    background: @yellow;
    margin: 1em auto;
    cursor: pointer;
    min-width: 270px;
    margin: 4px;
    h4{
        margin-top: 2em !important;
        margin-bottom: 1em !important;
    }
    &:hover{
        filter: brightness(120%);
    }
}
.home .card-tutorial{
    background: @cyan;
}
.cardLink{
    display: inline-block !important;
    text-decoration: none;
    display: block;
    max-width: 320px;
    &:hover{
        text-decoration: none !important;
        border-bottom: none !important;
    }
}

.fb-login{
    background: #3b5998;
    color: white;
    margin-top: 4px;
    border-radius: 4px;
    padding: 4px 12px;
    border: none;
    .fa{
        margin-right: 4px;
    }
}
.boards{
    .board-preview{
       .card();
       transform: none;
       background: #222;
       border: 7px solid rgb(92, 59, 44);
       color: @white;
       h4{
           color: @yellow;
           span{
               color: @cyan;
               display: block;
               margin-top: 1em;
           }
       }
       &:hover{
        transform: rotate(-1.11deg);
        border: 7px solid rgb(131, 85, 66);
       }
   }
   .boardLink{
       .cardLink();       
   }
}
.ng-confirm .ng-confirm-box .ng-confirm-buttons button.btn-default{
    background-color: #777;
}

@import 'board.less';
@import "newitem.less";
@import "mobile.less";
